include:
  - project: 'mro/common/tools/gitlab-ci-utils'
    file:
      - 'ci/scripts/gitlab-ci-docker.yml'
      - 'ci/scripts/gitlab-ci-node.yml'
      - 'ci/scripts/gitlab-ci-mirror.yml'

stages:
  - build
  - deploy

webapp-build-prod:
  extends: .webapp-build-prod

docker-latest:
  extends: .docker-builder
  stage: deploy
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  variables:
    IMAGE: "$CI_REGISTRY_IMAGE:latest"
    DOCKERFILE: "Dockerfile"
  dependencies: [ 'webapp-build-prod' ]

apc-mirror:
  extends: .mirror
  variables:
    PROJECT_PATH: mro/common/tools/gitlab-ci-report
    TARGET: ssh://git@gitlab.cern.ch:7999/apc/common/tools/gitlab-ci-report
